Bug 112759 - Panel does not persist ordering of components on panel
Panel does not persist ordering of components on panel
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: 120574 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-12-30 15:08 EST by Peter Eacmen
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-07 09:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Eacmen 2003-12-30 15:08:28 EST
Description of problem:
In my setup the panel is not expanded and does not have the hide
buttons.  On subsequent reboots when I login the components that I
previously ordered on the panel are now in a different order. 
Commonly the left two components (window list and workspace list) are
switched around.

Version-Release number of selected component (if applicable): Fedora
Core 1 (no erratas)

How reproducible: Follow steps

Steps to Reproduce:
1. Create a panel that is not expanded
2. Add components to the panel
3. Reboot several times and it should re-occur
Actual results: Order of components differ.

Expected results: Components order should be preserved

Additional info:
Comment 1 Leonard den Ottolander 2004-02-12 13:18:30 EST
Does this issue still persist or was it fixed by doing upgrades?
Comment 2 Bart Martens 2004-02-12 19:21:23 EST
Try right-click on the icon, and select lock. Does this help?
Comment 3 Mark McLoughlin 2004-02-23 05:41:44 EST
Peter: I can't reproduce this here with Fedora Core 1 and I was pretty
sure it had been fixed.

Could you detail the exact steps you are using to reproduce this e.g.:

  1. Create a panel, make it not expand
  2. Add a terminal launcher, then a battery applet ...
  3. Swap the position of the launcher and batter applet
  4. Re-start the panel

If you just do "killall gnome-panel" instead of rebooting, it should
have the same effect wrt reproducing the bug.

Comment 4 Bart Martens 2004-03-07 04:52:45 EST
Also reported upstream by someone else:
Comment 5 Peter Eacmen 2004-03-08 13:52:04 EST
Sorry we have been in release cycle for past couple months, I havent 
had time to look at this at all.  I will get to it as soon as we are 
done with release.
Comment 6 Mark McLoughlin 2004-04-07 09:25:03 EDT
Resolving UPSTREAM. Its fixed upstream now - we'll pull the fix in
with 2.6.1. Thanks :)
Comment 7 Mark McLoughlin 2004-04-14 11:09:11 EDT
*** Bug 120574 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.